Tags
All operations require authentication.
5 operationsv1/me/tag
Retrieve customer tags listBeta
GET
/1.0/ me/ tag
Response
200string []successful operation
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ tag \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Activate customer tagBeta
POST
/1.0/ me/ tag
Request body (required)
reason
string
Reason
tag Name
required
string
Tag name
Response
200Tagsuccessful operation
creation Date
read-only
stringdate-time
Creation date
customer Code
read-only
string
Customer code
expiration Date
read-only
stringdate-time
Expiration date
extra
read-only
Tag Extra
Extra data
last Update
read-only
stringdate-time
Last update
status
read-only
Status Enum
Tag Status
Values
CREATEDCREATINGDELETEDDELETINGERRORMODERATINGREFUSEDREFUSINGREVOCATINGWAIT_MODERATIONWAIT_REVOCATIONtag
read-only
string
Tag name
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ tag \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "customerCode": "string", "expirationDate": "2024-01-01T12:00:00Z", "extra": { "exemption": "string" }, "lastUpdate": "2024-01-01T12:00:00Z", "status": "CREATED", "tag": "string"}
Retrieve all available tagsBeta
GET
/1.0/ me/ tag/ available
Response
200Available Tag []successful operation
keys
read-only
Tag Key []
Tag configuration keys
name
read-only
string
Tag name
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ tag/ available \
-H "authorization: Bearer $OVH_TOKEN"[ { "keys": [ { "enum": [ "string" ], "key": "string", "maxLength": 0, "minValue": 0, "optional": true, "pattern": "string", "type": "ARRAY" } ], "name": "string" }]
Retrieve a customer tagBeta
GET
/1.0/ me/ tag/ {tag}
Path parameters
tag
required
string
Tag
Response
200Tagsuccessful operation
creation Date
read-only
stringdate-time
Creation date
customer Code
read-only
string
Customer code
expiration Date
read-only
stringdate-time
Expiration date
extra
read-only
Tag Extra
Extra data
last Update
read-only
stringdate-time
Last update
status
read-only
Status Enum
Tag Status
Values
CREATEDCREATINGDELETEDDELETINGERRORMODERATINGREFUSEDREFUSINGREVOCATINGWAIT_MODERATIONWAIT_REVOCATIONtag
read-only
string
Tag name
Example uses tag = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ tag/ {tag} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "customerCode": "string", "expirationDate": "2024-01-01T12:00:00Z", "extra": { "exemption": "string" }, "lastUpdate": "2024-01-01T12:00:00Z", "status": "CREATED", "tag": "string"}
Delete a customer tagBeta
DELETE
/1.0/ me/ tag/ {tag}
Path parameters
tag
required
string
Tag
Response
200Tagsuccessful operation
creation Date
read-only
stringdate-time
Creation date
customer Code
read-only
string
Customer code
expiration Date
read-only
stringdate-time
Expiration date
extra
read-only
Tag Extra
Extra data
last Update
read-only
stringdate-time
Last update
status
read-only
Status Enum
Tag Status
Values
CREATEDCREATINGDELETEDDELETINGERRORMODERATINGREFUSEDREFUSINGREVOCATINGWAIT_MODERATIONWAIT_REVOCATIONtag
read-only
string
Tag name
Example uses tag = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ tag/ {tag} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "customerCode": "string", "expirationDate": "2024-01-01T12:00:00Z", "extra": { "exemption": "string" }, "lastUpdate": "2024-01-01T12:00:00Z", "status": "CREATED", "tag": "string"}